require 'test_helper'

class Bot
  include Balotelli::Core::IRC

  def initialize(*args)
    configure(*args)
  end
end

class IRCTest < Minitest::Test
  def setup
    @bot = Bot.new(*Balotelli::Config.build(:freenode, "test"))
  end

  def test_it_responds_to_required_messages
    assert @bot.respond_to?(:connect)
    assert @bot.respond_to?(:sgets)
    assert @bot.respond_to?(:sputs)
    assert @bot.respond_to?(:pong)
    assert @bot.respond_to?(:join)
    assert @bot.respond_to?(:privmsg)
    assert @bot.respond_to?(:names)
  end

end
