require 'test_helper'

class SampleClass
  extend Balotelli::Core::Utils::ClassVariableGetter
  class_variable_get :one, :string

  def initialize
  end
end

class ClassVariableGetterTest < Minitest::Test
  def setup
    @instance = SampleClass.new
    SampleClass.instance_variable_set(:@one, 1)
    SampleClass.instance_variable_set(:@string, 'string')
  end

  def test_it_defines_methods
    assert @instance.one == 1
    assert @instance.string == 'string'
  end
end
